# xoxys.lvm

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.lvm/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.lvm)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.lvm/src/branch/main/LICENSE)

Configure a list of LVM volumes.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [lvm_packages](#lvm_packages)
  - [lvm_volumes](#lvm_volumes)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.1`

## Default Variables

### lvm_packages

#### Default value

```YAML
lvm_packages:
  - lvm2
```

### lvm_volumes

Define a list of LVM volumes. The `state` parameter is related to the possible state values
of Ansibles [mount](https://docs.ansible.com/ansible/latest/collections/ansible/posix/mount_module.html) module.

#### Default value

```YAML
lvm_volumes: []
```

#### Example usage

```YAML
lvm_volumes:
  - name: lv_data
    group: vg_data
    disks:
      - /dev/sda
    fstype: ext4
    size: 100g
    resizefs: True
    mountpoint: /mnt/data
    mountopts:
      - ro
      - noauto
    state: mounted
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
